# Uses of Class
java.security.cert.X509Certificate

Packages that use X509Certificate
Package
Description
com.sun.jarsigner
This package comprises the interfaces and classes used to define the signing mechanism used by the `jarsigner` tool.
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.
javax.net.ssl
Provides classes for the secure socket package.
javax.security.auth.x500
This package contains the classes that should be used to store X500 Principal and X500 Private Credentials in a Subject.

## Uses of X509Certificate in com.sun.jarsigner

Methods in com.sun.jarsigner that return X509Certificate
Modifier and Type
Method
Description
`X509Certificate[]`
ContentSignerParameters.`getSignerCertificateChain()`
Deprecated, for removal: This API element is subject to removal in a future version.
Retrieves the signer's X.509 certificate chain.
`X509Certificate`
ContentSignerParameters.`getTimestampingAuthorityCertificate()`
Deprecated, for removal: This API element is subject to removal in a future version.
Retrieves the certificate for a Timestamping Authority (TSA).

## Uses of X509Certificate in java.security.cert

Methods in java.security.cert that return X509Certificate
Modifier and Type
Method
Description
`X509Certificate`
X509CertSelector.`getCertificate()`
Returns the certificateEquals criterion.
`X509Certificate`
X509CRLSelector.`getCertificateChecking()`
Returns the certificate being checked.
`X509Certificate`
PKIXRevocationChecker.`getOcspResponderCert()`
Gets the OCSP responder's certificate.
`X509Certificate`
TrustAnchor.`getTrustedCert()`
Returns the most-trusted CA certificate.
Methods in java.security.cert that return types with arguments of type X509Certificate
Modifier and Type
Method
Description
`Map<X509Certificate,​byte[]>`
PKIXRevocationChecker.`getOcspResponses()`
Gets the OCSP responses.
Methods in java.security.cert with parameters of type X509Certificate
Modifier and Type
Method
Description
`X509CRLEntry`
X509CRL.`getRevokedCertificate​(X509Certificate certificate)`
Get the CRL entry, if any, for the given certificate.
`void`
X509CertSelector.`setCertificate​(X509Certificate cert)`
Sets the certificateEquals criterion.
`void`
X509CRLSelector.`setCertificateChecking​(X509Certificate cert)`
Sets the certificate being checked.
`void`
PKIXRevocationChecker.`setOcspResponderCert​(X509Certificate cert)`
Sets the OCSP responder's certificate.
Method parameters in java.security.cert with type arguments of type X509Certificate
Modifier and Type
Method
Description
`void`
PKIXRevocationChecker.`setOcspResponses​(Map<X509Certificate,​byte[]> responses)`
Sets the OCSP responses.
Constructors in java.security.cert with parameters of type X509Certificate
Modifier
Constructor
Description
``
`TrustAnchor​(X509Certificate trustedCert, byte[] nameConstraints)`
Creates an instance of `TrustAnchor` with the specified `X509Certificate` and optional name constraints, which are intended to be used as additional constraints when validating an X.509 certification path.

## Uses of X509Certificate in javax.net.ssl

Methods in javax.net.ssl that return X509Certificate
Modifier and Type
Method
Description
`X509Certificate[]`
X509TrustManager.`getAcceptedIssuers()`
Return an array of certificate authority certificates which are trusted for authenticating peers.
`X509Certificate[]`
X509KeyManager.`getCertificateChain​(String alias)`
Returns the certificate chain associated with the given alias.
Methods in javax.net.ssl with parameters of type X509Certificate
Modifier and Type
Method
Description
`abstract void`
X509ExtendedTrustManager.`checkClientTrusted​(X509Certificate[] chain, String authType, Socket socket)`
Given the partial or complete certificate chain provided by the peer, build and validate the certificate path based on the authentication type and ssl parameters.
`abstract void`
X509ExtendedTrustManager.`checkClientTrusted​(X509Certificate[] chain, String authType, SSLEngine engine)`
Given the partial or complete certificate chain provided by the peer, build and validate the certificate path based on the authentication type and ssl parameters.
`void`
X509TrustManager.`checkClientTrusted​(X509Certificate[] chain, String authType)`
Given the partial or complete certificate chain provided by the peer, build a certificate path to a trusted root and return if it can be validated and is trusted for client SSL authentication based on the authentication type.
`abstract void`
X509ExtendedTrustManager.`checkServerTrusted​(X509Certificate[] chain, String authType, Socket socket)`
Given the partial or complete certificate chain provided by the peer, build and validate the certificate path based on the authentication type and ssl parameters.
`abstract void`
X509ExtendedTrustManager.`checkServerTrusted​(X509Certificate[] chain, String authType, SSLEngine engine)`
Given the partial or complete certificate chain provided by the peer, build and validate the certificate path based on the authentication type and ssl parameters.
`void`
X509TrustManager.`checkServerTrusted​(X509Certificate[] chain, String authType)`
Given the partial or complete certificate chain provided by the peer, build a certificate path to a trusted root and return if it can be validated and is trusted for server SSL authentication based on the authentication type.

## Uses of X509Certificate in javax.security.auth.x500

Methods in javax.security.auth.x500 that return X509Certificate
Modifier and Type
Method
Description
`X509Certificate`
X500PrivateCredential.`getCertificate()`
Returns the X.509 certificate.
Constructors in javax.security.auth.x500 with parameters of type X509Certificate
Modifier
Constructor
Description
``
`X500PrivateCredential​(X509Certificate cert, PrivateKey key)`
Creates an X500PrivateCredential that associates an X.509 certificate, a private key and the KeyStore alias.
``
`X500PrivateCredential​(X509Certificate cert, PrivateKey key, String alias)`
Creates an X500PrivateCredential that associates an X.509 certificate, a private key and the KeyStore alias.